Installer - Bug #14371

Ubuntu 14.04 Installation fails - Unable to locate package ruby-foreman-setup
03/29/2016 07:36 AM - Mattis Haase
Description

Steps to reproduce:

. Fresh 14.04 installation

. sudo vi /etc/apt/sources.list.d/foreman.list

. add http:/deb.theforeman.org/ trusty stable

. sudo wget http://deb.theforeman.org/pubkey.apg
. sudo apt-key add pubkey.gpg

. sudo apt-key update

. sudo apt-get update

. sudo apt-get install foreman-install

. sudo vi /usr/share/foreman-installer/config/answers.yaml
. change puppetserver from 'true' to 'false’

. sudo foreman-install
Result:

[ INFO 2016-03-29 12:58:55 main] /ust/lib/ruby/vendor_ruby/puppet/application.rb:364:in “block in run’

[ INFO 2016-03-29 12:58:55 main] /ust/lib/ruby/vendor_ruby/puppet/util.rb:478:in “exit_on_fail'

[ INFO 2016-03-29 12:58:55 main] /ust/lib/ruby/vendor_ruby/puppet/application.rb:364:in “run'

[ INFO 2016-03-29 12:58:55 main] /ust/lib/ruby/vendor_ruby/puppet/uti/command_line.rb:137:in “run’

[ INFO 2016-03-29 12:58:55 main] /ust/lib/ruby/vendor_ruby/puppet/uti/command_line.rb:91:in "execute'

[ INFO 2016-03-29 12:58:55 main] /ust/bin/puppet:4:in "<main>'

[ERROR 2016-03-29 12:58:55 main]
/Stage[main]/Foreman::Plugin::Setup/Foreman::Plugin[setup]/Package[ruby-foreman-setup]/ensure: change from purged to

100: Reading package lists...

[ INFO 2016-03-29 12:58:55 main] Building dependency tree...

[ INFO 2016-03-29 12:58:55 main] Reading state information...

[ INFO 2016-03-29 12:58:55 main] E: Unable to locate package ruby-foreman-setup

[ INFO 2016-03-29 12:58:55 main] RESOURCE Package[ruby-foreman-setup]

[ INFO 2016-03-29 12:58:55 main] Class[Foreman::Service]: Scheduling refresh of Exec[restart_foreman]

[ INFO 2016-03-29 12:58:55 main] Class[Foreman::Service]: Scheduling refresh of Service[foreman]

[ WARN 2016-03-29 12:58:55 main] /Stage[main])/Foreman::Service/Service[foreman]: Dependency Package[ruby-foreman-setup]
has failures: true

[ WARN 2016-03-29 12:58:55 main] /Stage[main])/Foreman::Service/Service[foreman]: Skipping because of failed dependencies
[DEBUG 2016-03-29 12:58:55 main] Service[foreman](provider=upstart): Could not find foreman.conf in /etc/init

[DEBUG 2016-03-29 12:58:55 main] Service[foreman](provider=upstart): Could not find foreman.conf in /etc/init.d

[DEBUG 2016-03-29 12:58:55 main] Service[foreman](provider=upstart): Could not find foreman in /etc/init

[DEBUG 2016-03-29 12:58:55 main] Executing '/etc/init.d/foreman status'

[DEBUG 2016-03-29 12:58:55 main] /Stage[main]/Foreman::Service/Service[foreman]: Skipping restart; service is not running

[ WARN 2016-03-29 12:58:55 main] /Stage[main]/Foreman::Service/Service[foreman]: Triggered 'refresh’ from 1 events
[DEBUG 2016-03-29 12:58:55 main] /Stage[main]/Foreman::Service/Service[foreman]: The container Class[Foreman::Service] will
propagate my refresh event

[ WARN 2016-03-29 12:58:55 main] /Stage[main]/Foreman::Service/Exec|restart_foreman]: Dependency
Package[ruby-foreman-setup] has failures: true

[ WARN 2016-03-29 12:58:55 main] /Stage[main]/Foreman::Service/Exec[restart_foreman]: Skipping because of failed
dependencies
[DEBUG 2016-03-29 12:58:55 main] Exec[restart_foreman](provider=posix): Executing '/bin/touch /usr/share/foreman/tmp/restart.ixt'
[DEBUG 2016-03-29 12:58:55 main] Executing '/bin/touch /usr/share/foreman/tmp/restart.txt’
[ WARN 2016-03-29 12:58:55 main] /Stage[main])/Foreman::Service/Exec|restart_foreman]: Triggered 'refresh’ from 1 events

If | try to manually install ruby-foreman-setup:

sudo apt-get -q -y -0 DPkg::Options::=--force-confold install ruby-foreman-setup
Reading package lists...

Building dependency tree...

Reading state information...

E: Unable to locate package ruby-foreman-setup

Here is my repository info:

grep " /etc/apt/sources.list /etc/apt/sources.list.d/* | grep foreman
/etc/apt/sources.list.d/foreman.list:deb http:/deb.theforeman.org/ trusty stable

Indeed ruby-foreman-setup is not part of: http:/deb.theforeman.org/dists/trusty/stable/binary-amd64/Packages

History

#1 - 03/29/2016 07:40 AM - Dominic Cleal

- Status changed from New to Rejected

You're missing the plugin repo, adding the main trusty/stable repo isn't enough. Add:

deb http://deb.theforeman.org/ plugins stable

See http://theforeman.org/manuals/latest/quickstart _guide.html for more details.

Alternatively, disable the installation of this default plugin by adding --no-enable-foreman-plugin-setup to the installer command.

(Incidentally, you can change the puppetserver value by using --puppet-* options.)

05/19/2024 22



http://deb.theforeman.org/
http://deb.theforeman.org/dists/trusty/stable/binary-amd64/Packages
http://theforeman.org/manuals/latest/quickstart_guide.html
http://www.tcpdf.org

